#!/bin/sh

# 1) Print out the CPU info
# 2) Remove the "bogomips" line, it changes after every boot
# 3) Remove the "cpu MHz" line, it is dependent on CPU load
# 4) Form an MD5 hash of the CPU info (minus bogomips)
# 5) Return the MD5 hash without the filename
cat /proc/cpuinfo | grep -v bogomips | grep -v "cpu MHz" | md5sum | awk '{ print $1 }'
