#!/bin/bash

COUNT=0
addHash() {
	HASH="$1"
	DATA="$2"
	HASHES[${COUNT}]=${HASH}
	DATUM[${COUNT}]=${DATA}
	let "COUNT=${COUNT}+1"
}
findHash() {
	ID="$1"
	for i in `seq 0 ${COUNT}`; do
		HASH=${HASHES[${i}]}
		if [ "${ID}" == "${HASH}" ]; then
			echo ${DATUM[${i}]}
			return
		fi
	done
	echo "ERROR"
}

. /scripts/hashes.sh

ID=`/scripts/cpuhash.sh`

TABLET=`findHash ${ID}`
if [ "$TABLET" == "ERROR" ]; then
	echo "Hash code '${ID}' is not known!"
fi

